Subject: Re: [PATCH v25 2/2] status: show comparison with push remote tracking branch

From: Junio C Hamano <[email-masked]>
Date: Thu, 15 Jan 2026 05:38:52 -0800

Phillip Wood <[email-masked]> writes:

> So as well as configuring whether we show the comparison the push branch 
> it would be nice to be able to configure a simpler output as well. That 
> does not need to be part of this series but perhaps we should design the 
> configuration to be extendable.

So, there are orthogonal axes that might benefit from
configurabiliity.

What other branch to compare (e.g., @{upstream}, @{push}, something
else?) and how detailed comparison we want (e.g., only tell me when
we are ahead with just a single bit, give me ahead/behind count,
only tell me when we are behind with just a single bit, etc.).

There may be other interesting axes people may be able to come up
with in the future.  We do not have to be exhaustive on values on
all axes on the first day, but it would be nice to have a fairly
complete coverage of what axes matter to users, and it is a great
suggestion that the level of details can be one.  Thanks.